@import '../../../../assets/styles/common.scss';

.condition-standard__wrapper {
  display: flex;
  box-sizing: border-box;
  width: 10rem;
  height: 6.4rem;
  border: 2px solid $blue-light;
  border-radius: 1.1rem;
  font-style: italic;
  font-size: 2.5rem;
  background: $input-blue;
  box-shadow: 0 0 2rem 2px $input-blue-glow;

  &-large {
    @extend .condition-standard__wrapper;

    width: 28rem;

    & .condition-standard__input {
      width: 18rem;
      height: 100%;
      padding-left: 10px;
    }
  }

  &-small {
    @extend .condition-standard__wrapper;

    width: 16rem;

    & .condition-standard__input {
      width: 7.5rem;
      height: 100%;
      text-align: center;
    }
  }
}

.condition-standard__decrease {
  min-width: 4rem;
  height: 100%;
  border-radius: 1.1rem 0 0 1.1rem;
  text-align: center;
  background-color: $challenge-condition__background;
  cursor: pointer;
}

.condition-standard__input {
  box-sizing: border-box;
  border: none;
  font-weight: 300;
  font-size: 1.8rem;
  color: $blue-light;
  background-color: transparent;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;

  &:focus {
    outline: none;
  }
}

.condition-standard__increase {
  min-width: 4rem;
  height: 100%;
  border-radius: 0 1.1rem 1.1rem 0;
  text-align: center;
  background-color: rgba(12, 71, 135, 0.6);
  cursor: pointer;
}

.condition-standard__justify {
  display: flex;
  justify-content: center;
  align-items: center;
}
